Subject: Re: bug#75143: debbugs info manual name

From: Morgan Smith <[email-masked]>
Date: Fri, 27 Dec 2024 12:56:01 -0500

Michael Albinus <[email-masked]> writes:

> Morgan Smith <[email-masked]> writes:
>
>> Hello!
>
> Hi Morgan,
>
>> I wanted to make a quick suggestion on the debbugs info manuals names.
>> I think we should name the user manual "debbugs" and the programmer
>> manual "debbugs-programmer-manual" (NOT "debbugs-pm").
>>
>> Currently the info manual is called: debbugs-ug.info
>> The programmer info manual is called: debbugs.info
>>
>> This means people typing "info debbugs" will get the programmer info
>> manual, not the user info manual.
>>
>> When I was first starting to use debbugs I skimmed the programmer info
>> manual accidentally and got quite confused trying to find the
>> information I wanted.  I ran "info debbugs" and opened the section
>> "searching bugs" hoping to find the user commands, not elisp ones.
>>
>> The programmer manual does mention the user manual but as I was skimming
>> for something specific, not reading it carefully, I missed that.
>
> Although I understand your reasons, I'm not convinced that this is worth
> the trouble. The manuals exist for 13 years (debbugs.texi) and 10 years
> (debbugs-ug.texi). It night confuse prople, if we rename them.
>
> Furthermore, there are references to both manuals from outside. Those
> references would be broken.
>

These are fair points.  Feel free to close this bug as wontfix if you
determine there is nothing to be done.

When selecting an info manual it still takes me a second to remember
that "Debbugs UG" means user guide.  Maybe this could be fixed by adding
the short description of the manuals to the Info auto-complete menu
(`Info-menu').  I might look into that but that would belong in a
separate bug report.

>> Thanks,
>> Morgan
> Best regards, Michael.